package com.convertlab.dmhubsdk;

public class DMHubSDKMethod {
    /// 初始化方法:对应DMHubSDK.init初始化函数
    static final String init = "init";
    /**
     * 设置客户身份，用于绑定事件
     * 如果重复设置，将会使用新的客户身份进行事件绑定
     */
    static final String setIdentity = "setIdentity";
    /**
     * 获取当前设置的客户身份
     * @return 如果当前还未设置过有效的客户身份，返回 null
     */
    static String currentIdentity = "currentIdentity";
    /**
     * 清除当前设置的客户身份
     * @return 当前设置的客户身份，如果当前还未设置过有效的客户身份，返回 null
     */
    static String clearIdentity = "clearIdentity";
    /**
     * 跟踪自定义客户事件
     *
     * @param eventId    在 DM Hub 中新建的自定义事件的事件 Id
     * @param properties 事件的自定义属性，必须以在 DM Hub 中新建自定义事件时添加的自定义属性作为 key
     */
    static String trackMap = "trackMap";
    /**
     * 跟踪自定义客户事件
     *
     * @param eventId 在 DM Hub 中新建的自定义事件的事件 Id
     */
    static String track = "track";
    /**
     * 跟踪进入视图事件
     *
     * @param viewName 视图的名称，客户时间轴上的显示为：'进入手机视图 ${viewName}'
     */
    static String trackOpenView = "trackOpenView";
    /**
     * 跟踪离开视图事件
     *
     * @param viewName 视图的名称，客户时间轴上的显示为：'离开手机视图 ${viewName}'
     */
    static String trackExitView = "trackExitView";
    /**
     * 当自定义的 JPush 广播接收器收到来自 JPush 的广播时调用
     *
     * @param intent 收到的广播的 intent
     */
    static String onJPushReceiveBroadcast = "onJPushReceiveBroadcast";

    /**
     * 当自定义的 JPush 广播接收器收到来自 JPush 的广播时调用
     *
     * @param intent 收到的广播的 intent
     */
    static String trackReceiveJPushMessage = "trackReceiveJPushMessage";
    /**
     * 当自定义的 JPush 广播接收器收到来自 JPush 的广播时调用
     *
     * @param intent 收到的广播的 intent
     */
    static String onJPushReceiveRegisterId = "onJPushReceiveRegisterId";
    /**
     * 当自定义的 JPush 广播接收器收到来自 JPush 的广播时调用
     *
     * @param intent 收到的广播的 intent
     */
    static String onJPushReceiveMessageData = "onJPushReceiveMessageData";
    /**
     * 当自定义的 JPush 广播接收器收到来自 JPush 的广播时调用
     *
     * @param intent 收到的广播的 intent
     */
    static String onJPushNotificationMessageArrived = "onJPushNotificationMessageArrived";
    /**
     * 在自定义的 GTIntentService 的 onReceiveClientId 方法中调用
     *
     * @param clientId 收到的 clientId
     */
    static String onGeTuiReceiveClientId = "onGeTuiReceiveClientId";
    /**
     * 在自定义的 GTIntentService 的 onReceiveMessageData 方法中调用
     *
     * @param taskId    GTTransmitMessage 中携带的 taskId
     * @param messageId GTTransmitMessage 中携带的 messageId
     * @param payload   GTTransmitMessage 中携带的 payload
     */
    static String onGeTuiReceiveMessageData = "onGeTuiReceiveMessageData";
    /**
     * 在自定义的 GTIntentService 的 onNotificationMessageArrived 方法中调用
     *
     * @param taskId    GTNotificationMessage 中携带的 taskId
     * @param messageId GTNotificationMessage 中携带的 messageId
     */
    static String onGeTuiNotificationMessageArrived = "onGeTuiNotificationMessageArrived";

    /**
     * 设置全局参数
     */
    static String onGlobalParamsPush="onGlobalParamsPush";
}
