//
//  DMHubSDKMethod.h
//  dmhubsdk
//
//  Created by macroswang on 2022/01/08.
//

#import <Foundation/Foundation.h>

static NSString *const DMHubSDKMethodKeySendDataToFlutter = @"onSendDataToFlutter";

#pragma mark - DMHubClientWrapper
/// 初始化方法:对应DMHubSDK.init初始化函数
static NSString *const DMHubSDKMethodKeyInit = @"init";

/// 初始化方法:对应DMHubSDK.init初始化函数,可提交更多参数设置
static NSString *const DMHubSDKMethodKeyInitWithOptions = @"initWithOptions";

/**
 * 设置客户身份，用于绑定事件
 * 如果重复设置，将会使用新的客户身份进行事件绑定
 */
static NSString *const DMHubSDKSetIdentity = @"setIdentity";
/**
 * 获取当前设置的客户身份
 * return 如果当前还未设置过有效的客户身份，返回 null
 */
static NSString *const DMHubSDKCurrentIdentity = @"currentIdentity";
/**
 * 清除当前设置的客户身份
 * return 当前设置的客户身份，如果当前还未设置过有效的客户身份，返回 null
 */
static NSString *const DMHubSDKClearIdentity = @"clearIdentity";
/**
 * 跟踪自定义客户事件
 *
 * eventId    在 DM Hub 中新建的自定义事件的事件 Id
 * properties 事件的自定义属性，必须以在 DM Hub 中新建自定义事件时添加的自定义属性作为 key
 */
static NSString *const DMHubSDKTrackMap = @"trackMap";
/**
 *设置消息推送的相关信息，以便通过 DM Hub 对客户进行 App 消息推送
 *appKey 在推送服务商注册应用时获得的 AppKey
 *provider 推送服务商，目前支持极光（@"jpush"）和个推（@"getui"）
 */
static NSString *const DMHubSDKAppKey = @"setAppKey";
/**
 *设置消息推送的相关信息，以便通过 DM Hub 对客户进行 App 消息推送
 * appKey 在推送服务商注册应用时获得的 AppKey
 * pushId 推送服务商分配给设备的标识，极光的 registrationID 或个推的 clientId
 * provider 推送服务商，目前支持极光（@"jpush"）和个推（@"getui"）
 */
static NSString *const DMHubSDKAppKeyWithPushId = @"setAppKeyWithPushId";
/**
 *跟踪进入视图事件
 *viewName 视图的名称，客户时间轴上的显示为：'进入手机视图 ${viewName}'
 */
static NSString *const DMHubSDKTrackOpenView = @"trackOpenView";
/**
 * 跟踪离开视图事件
 * 视图的名称，客户时间轴上的显示为：'离开手机视图 ${viewName}'
 */
static NSString *const DMHubSDKTrackExitView = @"trackExitView";
/**
 *跟踪收到 JPush 自定义消息事件
 */
static NSString *const DMHubSDKTrackReceiveJPushMessage = @"trackReceiveJPushMessage";

/**
 *跟踪收到 JPush 自定义消息事件
 *
 */
static NSString *const DMHubSDKOnJPushReceiveMessageData = @"onJPushReceiveMessageData";
/**
 * 跟踪收到 JPush 自定义消息事件
 */
static NSString *const DMHubSDKOnJPushReceiveRegisterId = @"onJPushReceiveRegisterId";
/**
 *跟踪收到 JPush 自定义消息事件
 */
static NSString *const DMHubSDKOnJPushNotificationMessageArrived = @"onJPushNotificationMessageArrived";
/**
 *设置 GeTui的APPKE及CLIENTID
 */
static NSString *const DMHubSDKOnGeTuiReceiveClientId = @"onGeTuiReceiveClientId";

/**
 * 在自定义的 GTIntentService 的 onNotificationMessageArrived 方法中调用
 */
static NSString *const DMHubSDKTrackReceiveGeTuiPayloadData = @"trackReceiveGeTuiPayloadData";
/**
 * 设置全局参数
 */
static NSString *const DMHubSDKOnGlobalParamsPush = @"onGlobalParamsPush";
