//
//  DMHubWrapper.m
//  dmhubsdk
//
//  Created by macroswang on 2022/01/08.
//

#import "DMHubWrapper.h"
#define dmhub_dispatch_main_async_safe(block)\
    if ([NSThread isMainThread]) {\
        block();\
    } else {\
        dispatch_async(dispatch_get_main_queue(), block);\
    }


@implementation DMHubWrapper

- (instancetype)initWithChannelName:(NSString *)channelName
                          registrar:(NSObject<FlutterPluginRegistrar>*)registrar {
    if(self = [super init]) {
        self.flutterPluginRegister = registrar;
        FlutterJSONMethodCodec *codec = [FlutterJSONMethodCodec sharedInstance];
        FlutterMethodChannel* channel = [FlutterMethodChannel methodChannelWithName:channelName
                                                                    binaryMessenger:[registrar messenger]
                                                                              codec:codec];
        self.channel = channel;
        [registrar addMethodCallDelegate:self channel:channel];
    }
    return self;
}

- (void)wrapperCallBack:(FlutterResult)result
            channelName:(NSString *)channelName
                 object:(NSObject *)aObj
{
    if (result) {
        NSMutableDictionary *dic = [NSMutableDictionary dictionary];
        if (aObj) {
            dic[channelName] = aObj;
        }
        
        dmhub_dispatch_main_async_safe(^(){
            result(dic);
        });
    }
}

- (void)handleMethodCall:(FlutterMethodCall*)call result:(FlutterResult)result {
    result(FlutterMethodNotImplemented);
}


+ (void)registerWithRegistrar:(NSObject<FlutterPluginRegistrar> *)registrar {
    
}

@end
