import 'dmhub_domain.dart';

class DMHubOptions {
  /// convertlab appId,trackUrl,appName 必须设置。
  String? trackUrl;
  String? appId;
  String? appName;
  //flushInterval 上传数据的时间间隔（单位：秒），默认值：30
  int? flushInterval = 30; //only for ios
  bool? enableDebugLogging = true; //only for android
  bool? autoTrackOpenAppEvent = true; //only for all

  DMHubOptions(
      {required this.trackUrl,
      required this.appId,
      required this.appName,
      this.enableDebugLogging,
      this.autoTrackOpenAppEvent});

  factory DMHubOptions.fromJson(Map<String, dynamic> json) {
    return DMHubOptions(
        trackUrl: json['trackUrl'],
        appId: json['appId'],
        appName: json['appName'])
      ..flushInterval = json['flushInterval']
      ..enableDebugLogging = json.boolValue('enableDebugLogging')
      ..autoTrackOpenAppEvent = json.boolValue('autoTrackOpenAppEvent');
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['trackUrl'] = this.trackUrl;
    data['appId'] = this.appId;
    data['appName'] = this.appName;
    data['flushInterval'] = this.flushInterval;
    data['enableDebugLogging'] = this.enableDebugLogging;
    data['autoTrackOpenAppEvent'] = this.autoTrackOpenAppEvent;

    return data;
  }

  @override
  String toString() {
    return toJson().toString();
  }
}
